/*
 * Base structure
 */

.input-group-addon.success{
    background-color:#5cb85c;
    color:white;
}
/*
 * Global add-ons
 */
.noMarginLeftAndRight{
  margin-left: 0;
  margin-right: 0
}
.word-break-break-word{
  word-break: break-word;
}

.sub-header {
  padding-bottom: 10px;
  border-bottom: 1px solid #eee;
}
.dropdown-menu.open{
  z-index:10001;
}
/*
 * Top navigation
 * Hide default border to remove 1px line.
 */
.navbar-fixed-top {
  border: 0;
}

/*
 * Sidebar
 */

/* Hide for mobile, show later */
.sidebar {
  display: none;
}

.th-button {
  min-width:52px;
}
@media (min-width: 768px) {
  .sidebar {
    position: fixed;
    top: 51px;
    bottom: 0;
    left: 0;
    z-index: 1000;
    display: block;
    padding: 20px;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
    background-color: #f5f5f5;
    border-right: 1px solid #eee;
  }
}

/* Sidebar navigation */
.nav-sidebar {
  margin-right: -21px; /* 20px padding + 1px border */
  margin-bottom: 20px;
  margin-left: -20px;
}
.nav-sidebar > li > a {
  padding-right: 20px;
  padding-left: 20px;
}
.nav-sidebar > .active > a,
.nav-sidebar > .active > a:hover,
.nav-sidebar > .active > a:focus {
  color: #fff;
  background-color: #428bca;
}


/*
 * Main content
 */

.main {
  padding: 20px;
}
@media (min-width: 768px) {
  .main {
    padding-right: 40px;
    padding-left: 40px;
  }
}
.main .page-header {
  margin-top: 0;
}

.form-signup,
.form-signin {
  max-width: 330px;
  padding: 15px;
  margin: 0 auto;
}
.form-signup .form-signup-heading,
.form-signin .form-signin-heading,
.form-signin .checkbox {
  margin-bottom: 10px;
}
.form-signin .checkbox {
  font-weight: normal;
}
.form-signup .form-control,
.form-signin .form-control {
  position: relative;
  height: auto;
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
  padding: 10px;
  font-size: 16px;
}
.form-signup .form-control:focus,
.form-signin .form-control:focus {
  z-index: 2;
}
.form-signup input[type="text"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signup input[type="email"] {
  margin-bottom: -1px;
  border-radius: 0;
}
.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.form-signup input[type="password"],
.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
tr.disabled td{
    color:#ccc;
}
td.late{
    color:red;
}
tr.nowrap th{
    white-space:nowrap;
}
/*
 * Tablesorter
 */

th.header {
    background-image: url(/img/bg.gif);
    cursor: pointer;
    font-weight: bold;
    background-repeat: no-repeat;
    background-position: center left;
    padding-left: 20px!important;
    margin-left: -1px;
}
th.headerSortUp {
    background-image: url(/img/asc.gif);
    background-color:#ddd;
}
th.headerSortDown {
    background-image: url(/img/desc.gif);
    background-color:#ddd;
}

.table-hover-cursor {
    cursor: pointer;
}

.table-aitem {
    color: #555;
}

.table-aitem:hover {
    color: #555;
    text-decoration: none;
    background-color: #f5f5f5;
}

.inline-btn {
    display: inline-block;
}

.choose-image-btn {
    position: absolute;
    clip: rect(0px 0px 0px 0px);
}

.rm-padding {
    padding: 0px;
}

.rm-button {
    background: transparent;
    border: none !important;
}

.md-close:hover {
	color: red;
}

.form-button {
    margin-left: 17%;
}

.ms-width {
	width : 100%!important;
}

/*.c-checkbox {
  padding-left: 20px;
  position: relative;
  cursor: pointer;
}
.c-checkbox input[type=checkbox] {
  position: absolute;
  opacity: 0;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 15px;
  width: 15px;
  padding: 0;
  border: 0;
  left: 0;
}
.c-checkbox .c-checkbox__img {
  position: absolute;
  top: 0;
  left: 0;
  display: inline;
  width: 15px;
  height: 15px;
  border: 1px solid #333;
  border-radius: 3px;
  background-color: transparent;
  background-image: none;
  color: #000;
  cursor: pointer;
}
.c-checkbox input[type=checkbox]:checked + .c-checkbox__img {
  background-position: 0 0;
}
.c-checkbox input[type=checkbox]:checked + .c-checkbox__img:before {
  position: absolute;
  top: 3px;
  left: 2px;
  width: 9px;
  height: 5px;
  border: 2px solid #000;
  border-top: none;
  border-right: none;
  background: transparent;
  content: '';
  opacity: 1;
  transform: rotate(-45deg);
}*/

/*
 * Event/Calendar
 */

 .create-event-button {
     text-align: center;
 }

 .event-datetime {
     display: inline-flex;
 }

 .font-20 {
     font-size: 20px;
 }

 .event-edit-button {
     margin-right: 10px;
 }



/*
 * TASKBOARD
 */
.taskboard-placeholder {
    width: 450px;
    height: 73vh;
    background-color: rgba(162, 166, 173, 0.2);
    border-radius: 4px;
    border: 1px dashed rgba(152, 166, 173, 0.5);
    margin: 30px 25px;
}

.taskboard-container {
    overflow-x: scroll;
}

.taskboard-horizontal-scroll {
    overflow: auto;
}

.taskboard-board {
    width: 450px;
    display:inline-table;
    margin: 30px 25px;
    padding: 0;
    border-radius: 13px;
}

.taskboard-board-sortable-list {
    list-style: none;
}

.taskboard-board-sortable-list > li {
    float:left;
}

.task-container {
    height: 65vh;
}

.vertical-scroll {
    overflow-y: scroll;
}

.taskList {
    min-height: 65vh;
}

.taskList li,
.taskList li:hover {
    cursor: pointer;
}

.taskList h4 {
  margin-bottom: -18px;
}
.task-assignee {
  margin-top: 10px;
}

.taskboard-header {
  margin: 0;
  padding: 10px 30px;
  position: relative;
}

.taskboard-header button {
  position: absolute;
  top: 0px;
  right:10px;
}

.taskboard-add-new-task {
  margin: 15px 0;
  margin-right: 10px;
  border: 1px solid #eee;
  padding: 13px;
  padding-bottom: 0;
  border-radius: 3px;
  background-color: #f8f8f8;
}

.card-box {
  padding-left: 20px;
}

body input::placeholder,
body input[type=text]::placeholder,
.filter-option {
  color: #aaa;
}

.select2-search__field {
  width: 100% !important;
}

#user-list {
  padding-left: 0;
  list-style-type: none;

}
#user-list a {
  color: #505458;
}

/*Attendance Control config*/
.inline-input {
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    border-radius: 0 !important;
    display:  inline-block !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    width: 50px !important;
    text-align: center !important;
}
.inline-input-vertical-spin {
    display:  inline-block !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    width: 85px !important;
    text-align: center !important;
    vertical-align: bottom !important;
}
.inline-input-vertical-spin input {
    height: 34px !important;
}
.custom-invisible-button {
    background-color: Transparent;
    background-repeat:no-repeat;
    border: none;
    cursor:pointer;
    overflow: hidden;
    outline:none;

}

.custom-pane {
  width: 100% !important;
}
.pull-center-custom {
  text-align: center;
}

.basetable-slice {
  text-align: center;
  padding: 7%;
}
